wch — NCAA additional
3 endpoints on sdv.wch. Each is exposed under a camelCase canonical name and a snake_case alias (py/R parity), accepts snake_case or camelCase params, and returns raw ESPN JSON by default ({ parsed: true } for tidy rows).
espnWchRankings
WCH — rankings (ESPN site.api.espn.com).
Endpoint URL: GET https://site.api.espn.com/apis/site/v2/sports/hockey/womens-college-hockey/rankings
| API param | JS | required | description |
|---|---|---|---|
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.wch.espnWchRankings({});
// snake_case alias (py/R parity): sdv.wch.espn_wch_rankings(...)
espnWchSeasonRecruits
WCH — season recruits (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/hockey/leagues/womens-college-hockey/seasons/{season}/recruits
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
limit | limit | no | query parameter (default 100) |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.wch.espnWchSeasonRecruits({ season: '…' });
// snake_case alias (py/R parity): sdv.wch.espn_wch_season_recruits(...)
espnWchSeasonWeekRankings
WCH — season week rankings (ESPN sports.core.api.espn.com (core v2)).
Endpoint URL: GET https://sports.core.api.espn.com/v2/sports/hockey/leagues/womens-college-hockey/seasons/{season}/types/{season_type}/weeks/{week}/rankings
| API param | JS | required | description |
|---|---|---|---|
{season} | season | yes | path parameter |
{season_type} | season_type | yes | path parameter |
{week} | week | yes | path parameter |
| — | parsed | no | return tidy rows instead of raw JSON |
Returns (with { parsed: true }, via parse_items):
| col_name | type | description |
|---|---|---|
$ref | character | Core v2 $ref URL to the resource |
Example:
await sdv.wch.espnWchSeasonWeekRankings({ season: '…', season_type: '…', week: '…' });
// snake_case alias (py/R parity): sdv.wch.espn_wch_season_week_rankings(...)